<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="actionInstance">
            <h2><span>Action Instance</span> {{ actionInstance.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Name</span></dt>
                <dd>
                    <span>{{ actionInstance.name }}</span>
                </dd>
                <dt><span>Next</span></dt>
                <dd>
                    <span>{{ actionInstance.next }}</span>
                </dd>
                <dt><span>Type</span></dt>
                <dd>
                    <span>{{ actionInstance.type }}</span>
                </dd>
                <dt><span>Case Step Instance</span></dt>
                <dd>
                    <div *ngIf="actionInstance.caseStepInstance">
                        <a [routerLink]="['/case-step-instance', actionInstance.caseStepInstance?.id, 'view']">{{ actionInstance.caseStepInstance?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/action-instance', actionInstance.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
